import QtQuick 2.0
import Sailfish.Silica 1.0

//import "map.js" as maps
Page {
    id: page

    SilicaWebView {
        id: rect0

        anchors {
            left: parent.left
            right: parent.right
            bottom: urlField.top
        }
        PullDownMenu {
            MenuItem {
                text: "2nd"
            }

            MenuItem {
                text: "1st"
            }
        }
        width: parent.width
        height: parent.height / 2

        url: "map.html"
    }

    SilicaWebView {
        id: rect1

        anchors {
            left: parent.left
            right: parent.right
            bottom: urlField.top
        }
        PullDownMenu {
            MenuItem {
                text: "2nd"
            }

            MenuItem {
                text: "1st"
            }
        }
        width: parent.width
        height: parent.height / 2

        url: "directions.html"

    }
    Rectangle {
        id: rect2
        anchors.left: rect1.bottom
        anchors.top: rect1.bottom
        color: "transparent"
        width: page.width / 2
        height: page.height / 2
        border.color: "white"
        border.width: 1

        Label {
            id: event
            text: "Events"
            color: "White"
            font.family: Theme.fontFamilyHeading
        }

        Rectangle {
            color: "white"
            anchors.top: event.bottom
            width: parent.width
            height: parent.height
            radius: 10
            opacity: 0.2
            border.color: "lightsteelblue"
            border.width: 1

            Component {
                id: contactDelegate1
                Item {
                    width: parent.width
                    height: 60
                    Column {
                        Button {

                            id: eventB
                            text: Event
                            onClicked: {
                                rect1.experimental.evaluateJavaScript("initialize(%1, %2)".arg(latitude).arg(longitude))
                               //rect0.reload()
                            }

                            onDoubleClicked: {
                                //rect1.destroy()
                                rect0.experimental.evaluateJavaScript("initialize(%1, %2)".arg(latitude).arg(longitude))
                                rect1.destroy()
                                rect1.reload()

                            }
                        }
                    }
                }
            }

            ListView {
                anchors.fill: parent
                width: parent
                height: parent
                //anchors.top: place.bottom
                model: placeL
                delegate: contactDelegate1
                // highlight: Rectangle { color: "blue"; radius: 5 }

                //focus: true
            }
        }
    }

    Rectangle {
        id: rect3
        anchors.left: rect2.right
        anchors.top: rect1.bottom
        color: "transparent"
        width: page.width / 2
        height: page.height / 2
        border.color: "white"
        border.width: 1

        Label {
            id: place
            anchors.horizontalCenter: parent
            text: "Places"
            color: "white"
            font.family: Theme.fontFamilyHeading
        }
        Rectangle {
            color: "white"
            anchors.top: place.bottom
            width: parent.width
            height: parent.height - 6
            radius: 5
            opacity: 0.2

            Component {
                id: contactDelegate
                Item {
                    width: parent.width
                    height: 60
                    Column {
                        Button {
                            id: placeB
                            text: Place
                            onClicked: {
                                rect1.experimental.evaluateJavaScript("initialize(%1, %2)".arg(latitude).arg(longitude))
                               //rect0.reload()
                            }

                            onDoubleClicked: {
                                //rect1.destroy()
                                rect0.experimental.evaluateJavaScript("initialize(%1, %2)".arg(latitude).arg(longitude))
                                rect1.destroy()
                                rect1.reload()

                            }

                        }

                        //Text { text:Place}
                    }
                }
            }

            ListView {

                anchors.fill: parent
                width: parent
                height: parent
                //anchors.top: place.bottom
                model: placeL
                delegate: contactDelegate
                //highlight: Rectangle { color: "blue"; radius: 5 }
                //focus: true
            }
        }
    }


    ListModel {
        id: placeL
        ListElement {
            Place: "University"
            Event: "Orientation"
            Location: "2234"
            Description: "www.lut.fi"
            Date: "12/04/2013"
            Time: "11:50"
            latitude: 61.0647
            longitude: 28.0947
        }

        ListElement {
            Place: "Maistrati"
            Event: "City Registration"
            Location: "2234"
            Description: "palaute.etela-karjala@poliisi.fi"
            Date: "12/04/2013"
            Time: "12:50"
            latitude: 61.0582
            longitude: 28.1902
        }
        ListElement {
            Place: "LOAS Office"
            Event: "Room Service"
            Location: "2234"
            Description: "http://www.taksisaimaa.fi/"
            Date: "12/04/2013"
            Time: "12:50"
            latitude: 61.0545
            longitude: 28.1760

        }

        ListElement {
            Place: "Police Station"
            Event: "Police Card"
            Location: "2234"
            Description: "palaute.etela-karjala@poliisi.fi"
            Date: "12/04/2013"
            Time: "12:50"
            latitude: 61.0581
            longitude: 28.1901
        }

        ListElement {
            Place: "Karankokatu LOAS"
            Event: "Karankokatu"
            Location: "2234"
            Description: "http://www.loas.fi/Kiinteasivu.asp?KiinteaSivuID=322&NakymaID=7"
            Date: "12/04/2013"
            Time: "12:50"
            latitude: 61.0496
            longitude: 28.1359

        }

        ListElement {
            Place: "Punkkerikatu LOAS"
            Event: "Punkkerikatu"
            Location: "2234"
            Description: "http://www.loas.fi/Kiinteasivu.asp?KiinteaSivuID=322&NakymaID=7"
            Date: "12/04/2013"
            Time: "12:50"
            latitude: 61.0598
            longitude: 28.1018

        }

        ListElement {
            Place: "Supermarket"
            Event: "Groceries & utensil"
            Location: "2234"
            Description: "Get your groceries and utensils"
            Date: "12/04/2013"
            Time: "12:50"
            latitude: 61.0507
            longitude: 28.1783

        }

        ListElement {
            Place: "Rail Station"
            Event: "Train Card"
            Location: "2234"
            Description: "Get your groceries and utensils"
            Date: "12/04/2013"
            Time: "12:50"
            latitude: 61.0483
            longitude: 28.1947

        }


    }
}
